DCM/DFA Reporting And Trafficking API . 4 . browsers

Instance Methods

list(profileId=*)

Retrieves a list of browsers.

Method Details

list(profileId=*)
Retrieves a list of browsers.

Args:
  profileId: string, User profile ID associated with this request. (required)

Returns:
  An object of the form:

    { # Browser List Response
    "kind": "dfareporting#browsersListResponse", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#browsersListResponse".
    "browsers": [ # Browser collection.
      { # Contains information about a browser that can be targeted by ads.
        "majorVersion": "A String", # Major version number (leftmost number) of this browser. For example, for Chrome 5.0.376.86 beta, this field should be set to 5. An asterisk (*) may be used to target any version number, and a question mark (?) may be used to target cases where the version number cannot be identified. For example, Chrome *.* targets any version of Chrome: 1.2, 2.5, 3.5, and so on. Chrome 3.* targets Chrome 3.1, 3.5, but not 4.0. Firefox ?.? targets cases where the ad server knows the browser is Firefox but can't tell which version it is.
        "kind": "dfareporting#browser", # Identifies what kind of resource this is. Value: the fixed string "dfareporting#browser".
        "name": "A String", # Name of this browser.
        "browserVersionId": "A String", # ID referring to this grouping of browser and version numbers. This is the ID used for targeting.
        "dartId": "A String", # DART ID of this browser. This is the ID used when generating reports.
        "minorVersion": "A String", # Minor version number (number after first dot on left) of this browser. For example, for Chrome 5.0.375.86 beta, this field should be set to 0. An asterisk (*) may be used to target any version number, and a question mark (?) may be used to target cases where the version number cannot be identified. For example, Chrome *.* targets any version of Chrome: 1.2, 2.5, 3.5, and so on. Chrome 3.* targets Chrome 3.1, 3.5, but not 4.0. Firefox ?.? targets cases where the ad server knows the browser is Firefox but can't tell which version it is.
      },
    ],
  }